Bug 190201 - ghc642 package is missing HGL and other graphics libraries.
ghc642 package is missing HGL and other graphics libraries.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ghc (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-28 14:49 EDT by Garrett Mitchener
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 6.4.2-2.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-15 06:55:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garrett Mitchener 2006-04-28 14:49:31 EDT
Description of problem:

The package ghc642 in extras is missing a bunch of libraries.  In particular,
when I downloaded the source file and ran it through rpmbuild --rebuild, I got
the following extra files in the package (which I needed for a particular
haskell program I wanted to compile).  I made this list with the commands:

rpm -qpl ghc642-6.4.2-1.fc5.i386.rpm > /tmp/ghc642-official-files
rpm -ql ghc642 > /tmp/ghc642-my-files  # after installing my rebuilt package
diff /tmp/ghc642-official-files /tmp/ghc642-my-files

Here's the result:

7a8
> /usr/lib/ghc-6.4.2/HSHGL.o
12a14,15
> /usr/lib/ghc-6.4.2/HSX11.o
> /usr/lib/ghc-6.4.2/HSX11_cbits.o
436a440,469
> /usr/lib/ghc-6.4.2/imports/Graphics/HGL
> /usr/lib/ghc-6.4.2/imports/Graphics/HGL.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/HGL/Core.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/HGL/Draw
> /usr/lib/ghc-6.4.2/imports/Graphics/HGL/Draw.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/HGL/Draw/Brush.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/HGL/Draw/Font.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/HGL/Draw/Monad.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/HGL/Draw/Pen.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/HGL/Draw/Picture.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/HGL/Draw/Region.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/HGL/Draw/Text.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/HGL/Internals
> /usr/lib/ghc-6.4.2/imports/Graphics/HGL/Internals/Draw.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/HGL/Internals/Event.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/HGL/Internals/Events.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/HGL/Internals/Flag.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/HGL/Internals/Types.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/HGL/Internals/Utilities.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/HGL/Key.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/HGL/Run.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/HGL/Units.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/HGL/Utils.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/HGL/Window.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/HGL/X11
> /usr/lib/ghc-6.4.2/imports/Graphics/HGL/X11/DC.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/HGL/X11/Display.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/HGL/X11/Timer.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/HGL/X11/Types.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/HGL/X11/Window.hi
523a557
> /usr/lib/ghc-6.4.2/imports/Graphics/SOE.hi
547a582,596
> /usr/lib/ghc-6.4.2/imports/Graphics/X11
> /usr/lib/ghc-6.4.2/imports/Graphics/X11/Types.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/X11/Xlib
> /usr/lib/ghc-6.4.2/imports/Graphics/X11/Xlib.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/X11/Xlib/Atom.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/X11/Xlib/Color.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/X11/Xlib/Context.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/X11/Xlib/Display.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/X11/Xlib/Event.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/X11/Xlib/Font.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/X11/Xlib/Misc.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/X11/Xlib/Region.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/X11/Xlib/Screen.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/X11/Xlib/Types.hi
> /usr/lib/ghc-6.4.2/imports/Graphics/X11/Xlib/Window.hi
749a799,800
> /usr/lib/ghc-6.4.2/include/HsX11Config.h
> /usr/lib/ghc-6.4.2/include/HsXlib.h
796a848
> /usr/lib/ghc-6.4.2/libHSHGL.a
801a854,855
> /usr/lib/ghc-6.4.2/libHSX11.a
> /usr/lib/ghc-6.4.2/libHSX11_cbits.a



Version-Release number of selected component (if applicable):

ghc 6.4.2

How reproducible:

Don't know.

Steps to Reproduce:

It's a packaging problem.  I don't know how to reproduce it, although I suspect
that if you try to build ghc on a computer that doesn't have X installed, it
won't build these graphics libraries.
  
Actual results:

HGL and other graphics libraries aren't in the package.

Expected results:

HGL etc. should be in the package.

Additional info:
Comment 1 Jens Petersen 2006-04-29 03:29:53 EDT
Thanks for reporting this, should be fixed in 6.4.2-2.fc6.
Then I'll update for fe5.
Comment 2 Jens Petersen 2006-05-01 00:56:46 EDT
(Just for the record I tried replacing the libXt-devel BR with libSM-devel
to see if it was sufficient, but it was not.)
Comment 3 Jens Petersen 2006-05-04 08:42:46 EDT
Update (6.4.2-2.fc2) built for FE5 too.

Note You need to log in before you can comment on or make changes to this bug.